@echo off

@REM #数据库信息
set DBNAME=%1

@REM #数据库密码，从程序中获取
set PASSWORD=%2

@REM 获取目录
set basePath=%3


if defined DBNAME (
	echo init system db %DBNAME% ...
) else (
	echo Dbname must be set : e.g. dbinit ^<dbname^> ^<password^> [^<sqlfilepath^>]
	goto :END_OF_BAT
)

if not defined PASSWORD (
	echo Password must be set : e.g. dbinit ^<dbname^> ^<password^> [^<sqlfilepath^>]
	goto :END_OF_BAT
)

set HOST=localhost
set PORT=3306
set USERNAME=root

@REM #数据库名称
set MYSQL=C:\Program Files\MySQL\MySQL Server 5.7\bin
set EXE_MYSQL="%MYSQL%\mysql.exe"

@REM 数据库中表的创建
if defined basePath (
	set sql_file_name=%basePath%\dbinit.sql
) else (
	set sql_file_name=dbinit.sql
)

set create_db_sql=create database IF NOT EXISTS %DBNAME%
%EXE_MYSQL% -h%HOST% -P%PORT% -u%USERNAME% -p%PASSWORD% -e "%create_db_sql%"
echo run sql file : %sql_file_name% ...
%EXE_MYSQL% -h%HOST% -P%PORT% -u%USERNAME% -p%PASSWORD% %DBNAME% -u root -e "source  %sql_file_name%"

:END_OF_BAT